openshot::OutOfBoundsPoint Class Reference

Exception for an out of bounds key-frame point. More...

`#include <Exceptions.h>`

Inheritance diagram for openshot::OutOfBoundsPoint:

## Public Member Functions

| OutOfBoundsPoint (string message, int point_requested, int max_points)
virtual | ~OutOfBoundsPoint () throw ()
Public Member Functions inherited from openshot::BaseException
| BaseException (string message)
virtual const char * | what () const throw ()
virtual | ~BaseException () throw ()

## Public Attributes

int | MaxPoints
int | PointRequested

## Additional Inherited Members

Protected Attributes inherited from openshot::BaseException
string | m_message

## Detailed Description

Exception for an out of bounds key-frame point.

Definition at line 213 of file Exceptions.h.

## Constructor & Destructor Documentation

## OutOfBoundsPoint()

openshot::OutOfBoundsPoint::OutOfBoundsPoint | ( | string | message,
|  | int | point_requested,
|  | int | max_points
| ) |  |

inline

Definition at line 218 of file Exceptions.h.

## ~OutOfBoundsPoint()

virtual openshot::OutOfBoundsPoint::~OutOfBoundsPoint | ( |  | ) |
throw | ( |
| ) |  |

inline virtual

Definition at line 220 of file Exceptions.h.

## Member Data Documentation

## MaxPoints

int openshot::OutOfBoundsPoint::MaxPoints

Definition at line 217 of file Exceptions.h.

## PointRequested

int openshot::OutOfBoundsPoint::PointRequested

Definition at line 216 of file Exceptions.h.

The documentation for this class was generated from the following file:

- Exceptions.h